Move a hole selectionset.

Discussion in 'AutoCAD' started by Villars, Aug 27, 2004.

  1. Villars

    Villars Guest

    Does anyone know how to move a hole selectionset from one point to another ?

    Thanks,

    Villars
     
    Villars, Aug 27, 2004
    #1
  2. Villars

    Norman Yuan Guest

    Dim ss as AcadSelectionSet
    Set ss=ThisDrawing.SelectionSets.Add("Move")
    ss,SelectOnScreen

    Dim ptTo As Variant
    Dim ptFrom As Variant
    ptTo=ThisDrawing.Utiliy.GetPoint(, vbCr & "Pick point: ")

    Dim ent As AcadEntity
    For Each ent in ss
    ptFrom=... (define base point of the entity according to its type:
    Circle: center; Line: end point; block: insertion point...)
    ent.Move ptFrom, ptTo
    ent.Update
    Next
     
    Norman Yuan, Aug 27, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.